require 'arkham/card'

module Arkham
  class Deck
    def initialize
      @cards = starting_deck
    end

    def starting_deck
      [
        Card.new("Fireball", 4, 0, 0),
        Card.new("Fireball", 4, 0, 0),
        Card.new("Protect", 0, 5, 0),
        Card.new("Protect", 0, 5, 0),
        Card.new("Heal", 0, 0, 10)
      ]
    end

    def draw_five
      @cards[0..4]
    end

    def draw_random
      @cards.shuffle.pop
    end
  end
end
