module Arkham
  class Card
    attr_reader :name

    def initialize(name, damage, shield, heal)
      @name = name
      @damage = damage
      @shield = shield
      @heal = heal
    end

    def display
      name
    end

    def play(game)
      game.enemy.damage(@damage)
      game.player.add_shield(@shield)
      game.player.heal(@heal)
    end

    def enemy_play(game)
      game.player.damage(@damage)
      game.enemy.add_shield(@shield)
      game.enemy.heal(@heal)
    end
  end
end
